Bug 1279409 - [abrt] tracer: default.py:112:render_interactive:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 12: ordinal not in range(128)
[abrt] tracer: default.py:112:render_interactive:UnicodeEncodeError: 'ascii' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tracer (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Kadlčík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:210a70cf29e074fbac6d1e495c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 07:11 EST by Karel Volný
Modified: 2016-01-04 14:53 EST (History)
1 user (show)

See Also:
Fixed In Version: tracer-0.6.7-1.fc23 tracer-0.6.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 17:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.44 KB, text/plain)
2015-11-09 07:11 EST, Karel Volný
no flags Details
File: environ (2.13 KB, text/plain)
2015-11-09 07:11 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-11-09 07:11:35 EST
Description of problem:
after dnf upgrade, I got a hint

For more information run:
    sudo tracer -iat 1447063032.6356657

so I've done that, but it crashed after entering "1" to see what it has to tell me about the first one ...

Version-Release number of selected component:
tracer-0.6.6-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/tracer -iat 1447063032.6356657
executable:     /usr/bin/tracer
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
default.py:112:render_interactive:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 12: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/tracer", line 34, in <module>
    tracer.main.run()
  File "/usr/lib/python2.7/site-packages/tracer/main.py", line 42, in run
    return router.dispatch()
  File "/usr/lib/python2.7/site-packages/tracer/resources/router.py", line 59, in dispatch
    controller.render_interactive()
  File "/usr/lib/python2.7/site-packages/tracer/controllers/default.py", line 112, in render_interactive
    input("\n-- " + _("Press <enter> to get list of applications") + " --")
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 12: ordinal not in range(128)

Local variables in innermost frame:
answer: '1'
filtered: [<Application: abrt-applet>, <Application: akonadi_agent_launcher>, <Application: akonadi_archivemail_agent>, <Application: akonadi_baloo_indexer>, <Application: akonadi_birthdays_resource>, <Application: akonadi_followupreminder_agent>, <Application: akonadi_maildispatcher_agent>, <Application: akonadi_mailfilter_agent>, <Application: akonadi_migration_agent>, <Application: akonadi_newmailnotifier_agent>, <Application: akonadi_notes_agent>, <Application: akonadi_sendlater_agent>, <Application: akonadiserver>, <Application: kaccess>, <Application: kactivitymanagerd>, <Application: kdeconnectd>, <Application: kded4>, <Application: kded5>, <Application: kdeinit4>, <Application: kdeinit5>, <Application: kglobalaccel5>, <Application: kio_http>, <Application: kio_http_cache_cleaner>, <Application: klauncher>, <Application: kmix>, <Application: knotify4>, <Application: konqueror>, <Application: konsole>, <Application: konversation>, <Application: korgac>, <Application: krunner>, <Application: kscreen_backend_launcher>, <Application: ksmserver>, <Application: kuiserver5>, <Application: kwalletd>, <Application: kwalletd5>, <Application: mc>, <Application: mplayer>, <Application: plasmashell>, <Application: plugin-container>, <Application: polkit-kde-authentication-agent-1>, <Application: pulseaudio>, <Application: seamonkey>, <Application: seapplet>, <Application: ssh>, <Application: trojita>, <Application: xpra>]
helper_controller: <tracer.controllers.helper.HelperController object at 0x7f588650da90>
self: <tracer.controllers.default.DefaultController object at 0x7f5889dd2d10>
view: <tracer.views.interactive.InteractiveView object at 0x7f588650dad0>
Comment 1 Karel Volný 2015-11-09 07:11:40 EST
Created attachment 1091697 [details]
File: backtrace
Comment 2 Karel Volný 2015-11-09 07:11:41 EST
Created attachment 1091698 [details]
File: environ
Comment 3 Jakub Kadlčík 2015-11-09 14:55:17 EST
Hello Karel,
thank you for the feedback.

Modified in: 88337a8
Comment 4 Karel Volný 2015-11-12 08:03:36 EST
Another user experienced a similar problem:

I've tried to display help for the first item (the same as already reported, this should end up as duplicate)

reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /bin/tracer -iat 1447177747.4206145
event_log:      2015-11-12-14:02:10> ('report_uReport' completed successfully)
executable:     /bin/tracer
kernel:         4.2.5-300.fc23.x86_64
package:        tracer-0.6.6-1.fc23
reason:         default.py:112:render_interactive:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 12: ordinal not in range(128)
runlevel:       N 5
type:           Python
uid:            0
Comment 5 Fedora Update System 2015-12-16 09:18:16 EST
tracer-0.6.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f9f5a2d4b
Comment 6 Fedora Update System 2015-12-16 09:18:17 EST
tracer-0.6.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b425575ef
Comment 7 Fedora Update System 2015-12-17 05:28:41 EST
tracer-0.6.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tracer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b425575ef
Comment 8 Fedora Update System 2015-12-17 05:28:44 EST
tracer-0.6.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tracer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f9f5a2d4b
Comment 9 Fedora Update System 2016-01-02 17:22:22 EST
tracer-0.6.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-04 14:53:16 EST
tracer-0.6.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.